hpp-constraints: hpp::constraints::StaticStability Class Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
hpp::constraints::StaticStability Class Reference
Constraints

`#include <hpp/constraints/static-stability.hh>`

Inheritance diagram for hpp::constraints::StaticStability:
[legend]
Collaboration diagram for hpp::constraints::StaticStability:
[legend]

## Classes
struct | Contact_t

## Public Types
typedef std::vector< Contact_t > | Contacts_t

## Public Member Functions
| StaticStability (const std::string &name, const DevicePtr_t &robot, const Contacts_t &contacts, const CenterOfMassComputationPtr_t &com)
MatrixOfExpressions & | phi ()
Public Member Functions inherited from hpp::constraints::DifferentiableFunction
virtual | ~DifferentiableFunction ()
LiegroupElement | operator() (vectorIn_t argument) const
void | value (LiegroupElementRef result, vectorIn_t argument) const
void | jacobian (matrixOut_t jacobian, vectorIn_t argument) const
const ArrayXb & | activeParameters () const
const ArrayXb & | activeDerivativeParameters () const
size_type | inputSize () const
| Get dimension of input vector.
size_type | inputDerivativeSize () const
LiegroupSpacePtr_t | outputSpace () const
| Get output space.
size_type | outputSize () const
| Get dimension of output vector.
size_type | outputDerivativeSize () const
| Get dimension of output derivative vector.
const std::string & | name () const
| Get function name.
virtual std::ostream & | print (std::ostream &o) const
| Display object in a stream.
std::string | context () const
void | context (const std::string &c)
void | finiteDifferenceForward (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
void | finiteDifferenceCentral (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
bool | operator== (DifferentiableFunction const &other) const
bool | operator!= (DifferentiableFunction const &b) const
virtual std::pair< JointConstPtr_t, JointConstPtr_t > | dependsOnRelPoseBetween (DeviceConstPtr_t) const

## Static Public Member Functions
static StaticStabilityPtr_t | create (const std::string &name, const DevicePtr_t &robot, const Contacts_t &contacts, const CenterOfMassComputationPtr_t &com)
static StaticStabilityPtr_t | create (const DevicePtr_t &robot, const Contacts_t &contacts, const CenterOfMassComputationPtr_t &com)
Static Public Member Functions inherited from hpp::constraints::DifferentiableFunction
static DifferentiableFunctionPtr_t | extract (DifferentiableFunctionPtr_t original, interval_t interval)

## Static Public Attributes
static const value_type | G
static const Eigen::Matrix< value_type, 6, 1 > | Gravity

## Protected Member Functions
bool | isEqual (const DifferentiableFunction &other) const
Protected Member Functions inherited from hpp::constraints::DifferentiableFunction
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, size_type sizeOutput, std::string name=std::string())
| Concrete class constructor should call this constructor.
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, const LiegroupSpacePtr_t &outputSpace, std::string name=std::string())
| Concrete class constructor should call this constructor.
virtual void | impl_compute (LiegroupElementRef result, vectorIn_t argument) const =0
| User implementation of function evaluation.
virtual void | impl_jacobian (matrixOut_t jacobian, vectorIn_t arg) const =0
| DifferentiableFunction ()

## Additional Inherited Members
Protected Attributes inherited from hpp::constraints::DifferentiableFunction
size_type | inputSize_
| Dimension of input vector.
size_type | inputDerivativeSize_
| Dimension of input derivative.
LiegroupSpacePtr_t | outputSpace_
| Dimension of output vector.
ArrayXb | activeParameters_
ArrayXb | activeDerivativeParameters_

## Member Typedef Documentation

## ◆ Contacts_t

typedef std::vector<Contact_t> hpp::constraints::StaticStability::Contacts_t

## Constructor & Destructor Documentation

## ◆ StaticStability()

hpp::constraints::StaticStability::StaticStability | ( | const std::string & | name,
|  | const DevicePtr_t & | robot,
|  | const Contacts_t & | contacts,
|  | const CenterOfMassComputationPtr_t & | com )

Constructor

Parameters

  robot | the robot the constraints is applied to,
  com | COM of the object in the joint frame.

## Member Function Documentation

## ◆ create() [1/2]

static StaticStabilityPtr_t hpp::constraints::StaticStability::create | ( | const DevicePtr_t & | robot,
|  | const Contacts_t & | contacts,
|  | const CenterOfMassComputationPtr_t & | com )
| static

## ◆ create() [2/2]

static StaticStabilityPtr_t hpp::constraints::StaticStability::create | ( | const std::string & | name,
|  | const DevicePtr_t & | robot,
|  | const Contacts_t & | contacts,
|  | const CenterOfMassComputationPtr_t & | com )
| static

## ◆ isEqual()

bool hpp::constraints::StaticStability::isEqual | ( | const DifferentiableFunction & | other | ) | const
| inline protected virtual

Reimplemented from hpp::constraints::DifferentiableFunction.

## ◆ phi()

MatrixOfExpressions & hpp::constraints::StaticStability::phi | ( |  | ) |
| inline

## Member Data Documentation

## ◆ G

const value_type hpp::constraints::StaticStability::G
| static

## ◆ Gravity

const Eigen::Matrix<value_type, 6, 1> hpp::constraints::StaticStability::Gravity
| static

The documentation for this class was generated from the following file:

- include/hpp/constraints/static-stability.hh